File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# lnx-keyboard.h File Reference

Go to the source code of this file.

## Functions
pointer | kbdLinuxCreatePrivate (DeviceIntPtr pKeyboard)
void | kbdLinuxDestroyPrivate (pointer private)
void | kbdLinuxInit (DevicePtr pDev)
void | kbdLinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | kbdLinuxOn (DevicePtr pDev)
void | kbdLinuxOff (DevicePtr pDev)
void | kbdLinuxVTPreSwitch (pointer p)
void | kbdLinuxVTPostSwitch (pointer p)
void | kbdLinuxCtrl (DevicePtr pDev, KeybdCtrl *ctrl)
void | kbdLinuxBell (DevicePtr pDev, int percent, int volume, int pitch, int duration)

## Detailed Description

Interface to Linux keyboard driver.

See also:
  lnx-keyboard.c

## Function Documentation

void kbdLinuxBell | ( | DevicePtr | pDev,
|  | int | percent,
|  | int | volume,
|  | int | pitch,
|  | int | duration
| ) |

| Ring the bell. Note: we completely ignore the volume, since Linux's ioctl() interface does not provide a way to control it. If it did, the XBell manpage tells how the actual volume is a function of the percent and the (base) volume. Note that most of the other PC-based bell drivers compute the duration for KDMKTONE as a function of the volume and the duration. For some drivers, the duration is only measured in mS if the volume is 50, and is scaled by the volume for other values. This seems confusing and possibly incorrect (the xset man page says that the bell will be "as closely as it can to the user's specifications" -- if we ignore the volume and set the duration correctly, then we'll get one parameter "wrong" -- but if we use the volume to scale the duration, then we'll get both parameters "wrong").

pointer kbdLinuxCreatePrivate | ( | DeviceIntPtr | pKeyboard | ) |

| Create a private structure for use within this file.

void kbdLinuxCtrl | ( | DevicePtr | pDev,
|  | KeybdCtrl * | ctrl
| ) |

| Set the LEDs.

void kbdLinuxDestroyPrivate | ( | pointer | priv | ) |

| Destroy a private structure.

void kbdLinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void kbdLinuxInit | ( | DevicePtr | pDev | ) |

| Initialize the pDev as a Linux keyboard.

void kbdLinuxOff | ( | DevicePtr | pDev | ) |

| Turn pDev off (i.e., stop taking input from pDev).

int kbdLinuxOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void kbdLinuxVTPostSwitch | ( | pointer | p | ) |

| Currently unused hook called after returning from a VT switch.

void kbdLinuxVTPreSwitch | ( | pointer | p | ) |

| Currently unused hook called prior to an VT switch.